## gstreamer1.0 1.8.3

=== debian/changelog ===
gstreamer1.0 (1.8.3-1~ubuntu0.1) xenial; urgency=medium

  * No-change backport from yakkety to 16.04 (LP: #1619600)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Sep 2016 14:13:26 +0100

gstreamer1.0 (1.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Aug 2016 11:49:29 +0300

gstreamer1.0 (1.8.2-1) unstable; urgency=medium

  * debian/control.in:
    + Remove duplicated field name.
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 13 May 2016 14:39:48 +0300

gstreamer1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2016 17:53:56 +0300

gstreamer1.0 (1.8.0-2) unstable; urgency=medium

  * debian/control.in:
    + libgstreamer1.0-0 1.8.0 breaks gstreamer1.0-plugins-base << 1.8.0
      because of a bug in the latter that is exposed by the new version of
      core. See https://bugzilla.gnome.org/show_bug.cgi?id=760234
      (Closes: #819958, #819960).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Apr 2016 12:23:58 +0300
