=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
          ${misc:Depends},
          libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
-          gstreamer1.0-plugins-base
+Breaks: gstreamer1.0-plugins-base (<< 1.8.0)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -134,7 +134,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.7.90)
+         libgstreamer1.0-0 (>= 1.8.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -153,7 +153,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
-Description: Description: GObject introspection data for the GStreamer library
+Description: GObject introspection data for the GStreamer library
  This package contains introspection data for the GStreamer streaming media
  framework.
  .
