## gstreamer1.0 1.10.4

=== debian/changelog ===
gstreamer1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 15:33:32 +0200

gstreamer1.0 (1.10.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 15:27:56 +0200

gstreamer1.0 (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Nov 2016 15:29:47 +0200

gstreamer1.0 (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Nov 2016 14:48:06 +0200

gstreamer1.0 (1.10.0-2) unstable; urgency=medium

  * debian/control:
    + Make sure to properly update debian/control every time, otherwise
      changes to control.in are not applied (Closes: #842526).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Nov 2016 10:42:26 +0200

gstreamer1.0 (1.10.0-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * debian/control.in:
    + Remove obsolete and redudant build dependency on jade (Closes: #840370).

  [ Helmut Grohne ]
  * Mark gstreamer1.0-doc Multi-Arch: foreign (Closes: #842526).

  [ Sebastian Dröge ]
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Nov 2016 17:35:50 +0200

gstreamer1.0 (1.9.90-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Sep 2016 12:13:24 +0300

gstreamer1.0 (1.9.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer-dev.install:
      - Move gstconfig.h into the arch independent path again.
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Sep 2016 11:35:40 +0300

gstreamer1.0 (1.9.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/libgstreamer.symbols:
      - Update new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jul 2016 11:51:30 +0300
