## gstreamer1.0 1.12.3

=== debian/changelog ===
gstreamer1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Sep 2017 21:18:26 +0300

gstreamer1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Jul 2017 13:19:40 +0300

gstreamer1.0 (1.12.1-2) unstable; urgency=high

  * debian/patches/0001-registrybinary-Update-magic-version-string.patch:
    + Force regeneration of the registry for blacklisted plugins that
      were blacklisted due to broken dependencies.

      Various 1.12 plugin packages were built against 1.12.1-1 and moved to
      testing as such, but had dependencies on GStreamer < 1.12. This does not
      work and causes the plugins to fail to load and be blacklisted.

      While all dependencies should be correct, for some reason they were not,
      which needs separate investigation (Closes: #866339, #866103).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Jul 2017 09:16:52 +0300

gstreamer1.0 (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jun 2017 11:12:14 +0300

gstreamer1.0 (1.12.0-2) experimental; urgency=medium

  [ Sebastian Dröge ]
  * debian/control.in:
    + Don't let gstreamer1.0-tools depend on pkg-config (Closes: #861969).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 May 2017 13:16:05 +0100

gstreamer1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:06:31 +0300

gstreamer1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 16:47:40 +0300

gstreamer1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 15:14:34 +0300

gstreamer1.0 (1.11.2-1) experimental; urgency=medium

  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 13:25:49 +0200

gstreamer1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/*doc*,
      debian/rules:
      - Remove PWG and other documentation that is now handled outside
        the source tarball.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 14:42:42 +0200
