=== debian/control ===
--- 
+++ 
@@ -29,17 +29,7 @@
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                libcap-dev [linux-any]
-Build-Depends-Indep: python (>= 2.2),
-                     gtk-doc-tools (>= 1.12),
-                     texlive-generic-recommended,
-                     transfig (>= 3.2.3.c),
-                     docbook-utils (>= 0.6.9),
-                     docbook-xml,
-                     docbook-xsl,
-                     xsltproc (>= 1.0.21),
-                     ghostscript,
-                     xmlto,
-                     netpbm,
+Build-Depends-Indep: gtk-doc-tools (>= 1.12),
                      libglib2.0-doc
 Standards-Version: 3.9.3
 Homepage: http://gstreamer.freedesktop.org
@@ -53,7 +43,8 @@
          ${misc:Depends},
          libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
-Breaks: gstreamer1.0-plugins-base (<< 1.8.0)
+Breaks: gstreamer1.0-plugins-base (<< 1.8.0),
+        gstreamer1.0-plugins-bad (<< 1.11.1)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -133,8 +124,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         pkg-config,
-         libgstreamer1.0-0 (>= 1.10.3)
+         libgstreamer1.0-0 (>= 1.12.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
