## gstreamer1.0 1.14.0

=== debian/changelog ===
gstreamer1.0 (1.14.0-1) unstable; urgency=medium

  * debian/control.in:
    + Let -dev package conflict/replaces with the one from gst-plugins-bad.
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 09:45:17 +0200

gstreamer1.0 (1.13.91-1) experimental; urgency=medium

  * debian/*.symbols:
    + Add Build-Depends-Package header to each library section.
  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 10:49:20 +0200

gstreamer1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 10:45:33 +0200

gstreamer1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Breaks libgstreamer-plugins-bad1.0-0 (<< 1.13.1) because of API
      that moved to the core GStreamer libraries.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Feb 2018 23:43:37 +0200

gstreamer1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:22:08 +0200
