=== debian/control ===
--- 
+++ 
@@ -44,7 +44,8 @@
          libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
 Breaks: gstreamer1.0-plugins-base (<< 1.8.0),
-        gstreamer1.0-plugins-bad (<< 1.11.1)
+        gstreamer1.0-plugins-bad (<< 1.11.1),
+        libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -85,6 +86,8 @@
          ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gstreamer-1.0 (= ${binary:Version})
+Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1.13.1)
+Replaces: libgstreamer-plugins-bad1.0-dev (<< 1.13.1)
 Recommends: debhelper
 Suggests: gstreamer1.0-doc
 Description: GStreamer core development files
@@ -124,7 +127,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.12.3)
+         libgstreamer1.0-0 (>= 1.13.91)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
