## gstreamer1.0 1.14.1

=== debian/changelog ===
gstreamer1.0 (1.14.1-1~ubuntu18.04.2) bionic-security; urgency=medium

  * No change rebuild in -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Apr 2019 09:50:05 -0400

gstreamer1.0 (1.14.1-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1772898)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 23 May 2018 13:54:22 +0100

gstreamer1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:09:28 +0300
