=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
@@ -32,7 +33,9 @@
 Build-Depends-Indep: gtk-doc-tools (>= 1.12),
                      libglib2.0-doc
 Standards-Version: 3.9.3
-Homepage: http://gstreamer.freedesktop.org
+Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer1.0.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer1.0/
+Homepage: https://gstreamer.freedesktop.org
 
 Package: libgstreamer1.0-0
 Architecture: any
@@ -127,7 +130,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.13.91)
+         libgstreamer1.0-0 (>= 1.14.1)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
