## gstreamer1.0 1.14.4

=== debian/changelog ===
gstreamer1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:51:02 +0300

gstreamer1.0 (1.14.3-1) unstable; urgency=medium

  [ Hugh McMaster ]
  * gir1.2-gstreamer-1.0: Install the typelibs into a multi-arch library
    directory (Closes: #904266).
  * debian/control.in:
    - Mark gir1.2-gstreamer-1.0 Multi-Arch: same.
    - Remove a duplicate ${gir:Depends} variable from gir1.2-gstreamer-1.0.
    - Mark libgstreamer1.0-dev Multi-Arch: same (Closes: #823307).
  * debian/dh_gstscancodecs:
    - Call gst-codec-info-1.0 from the package's libexecdir path.
  * libgstreamer1.0-dev:
    - Install the gst-codec-info-1.0 utility into the package's multi-arch
      program executables directory (libexecdir).

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 09:52:35 +0300

gstreamer1.0 (1.14.2-2) unstable; urgency=medium

  * debian/patches/0002-gstconfig.h.in-initial-RISC-V-support.patch:
    + Add support for RISC-V (Closes: #895711).
  * debian/control.in:
    + Build-depend on libgmp-dev | libgmp3-dev (Closes: #862257).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jul 2018 09:36:35 +0300

gstreamer1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:05:58 +0300
