=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
@@ -18,7 +17,7 @@
                autopoint (>= 0.17),
                zlib1g-dev (>= 1:1.1.4),
                libglib2.0-dev (>= 2.40),
-               libgmp3-dev,
+               libgmp-dev | libgmp3-dev,
                libgsl-dev | libgsl0-dev,
                pkg-config (>= 0.11.0),
                bison (>= 1:2.4),
@@ -81,6 +80,7 @@
 
 Package: libgstreamer1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgstreamer1.0-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
@@ -130,7 +130,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.14.1)
+         libgstreamer1.0-0 (>= 1.14.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -145,10 +145,10 @@
 Package: gir1.2-gstreamer-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+         ${misc:Depends}
 Description: GObject introspection data for the GStreamer library
  This package contains introspection data for the GStreamer streaming media
  framework.
