## gstreamer1.0 1.14.5

=== debian/changelog ===
gstreamer1.0 (1.14.5-0ubuntu1~18.04.2) bionic-security; urgency=medium

  * No-change build to push it to security and build gst-plugins-good1.0

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 19 Apr 2021 10:27:18 -0300

gstreamer1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Jul 2019 15:34:47 +0100

gstreamer1.0 (1.14.4-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:13:52 +0100
