=== debian/watch ===
version=4
http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-(1\.[\d\.]+)@ARCHIVE_EXT@
