## gstreamer1.0 1.15.90

=== debian/changelog ===
gstreamer1.0 (1.15.90-1ubuntu1) disco; urgency=medium

  * debian/patches/git_seek_event.patch:
    - backported a patch from git to fix a regression (which was caught
      by the parlatype autopkgtests in Ubuntu)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Apr 2019 10:43:17 +0200

gstreamer1.0 (1.15.90-1~sync1) disco; urgency=medium

  * Upload the Debian update with a fakesync to not wait for publishing

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Apr 2019 10:45:41 +0200

gstreamer1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 09:38:28 +0300

gstreamer1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 11:18:22 +0200

gstreamer1.0 (1.15.1-1) experimental; urgency=medium

  [ Sebastian Dröge ]
  * New upstream development release
    + debian/libgstreamer-dev.install:
      - Ship gdb helper script.
    + debian/libgstreamer.symbols:
      - Update symbols file with new API.
  * debian/control.in:
    + Remove Sebastian Bacher and Loïc Minier from Uploaders. They didn't work
      on the packages in a very long time (Closes: #857480).

      Thanks a lot for their past work!

  [ Simon McVittie ]
  * Run gtkdocize during build (Closes: #899116) and only build
    docs if we actually build the docs package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 15:11:28 +0200
