=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer1.0@packages.debian.org>
-Uploaders: Loïc Minier <lool@debian.org>,
-           Sebastien Bacher <seb128@debian.org>,
-           Sebastian Dröge <slomo@debian.org>,
+Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
@@ -13,6 +11,7 @@
                autotools-dev,
                automake (>= 1.14),
                autoconf (>= 2.69),
+               gtk-doc-tools (>= 1.12),
                libtool (>= 2.2.6),
                dh-autoreconf,
                autopoint (>= 0.17),
@@ -30,8 +29,7 @@
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                libcap-dev [linux-any]
-Build-Depends-Indep: gtk-doc-tools (>= 1.12),
-                     libglib2.0-doc
+Build-Depends-Indep: libglib2.0-doc
 Standards-Version: 3.9.3
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer1.0/
@@ -131,7 +129,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.14.3)
+         libgstreamer1.0-0 (>= 1.15.2)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
