## gstreamer1.0 1.16.1

=== debian/changelog ===
gstreamer1.0 (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2019 11:32:51 +0300

gstreamer1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:09:56 +0300

gstreamer1.0 (1.16.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:34:12 +0300

gstreamer1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:10:29 +0300
