=== debian/control ===
--- 
+++ 
@@ -128,7 +128,7 @@
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgstreamer1.0-0 (>= 1.16.0)
+         libgstreamer1.0-0 (>= 1.16.1)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
