## gstreamer1.0 1.16.3

=== debian/changelog ===
gstreamer1.0 (1.16.3-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: code exec via integer overflow
    - debian/patches/CVE-2024-47606.patch: avoid integer overflow when
      allocating sysmem in gst/gstallocator.c.
    - CVE-2024-47606

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:06:24 -0500

gstreamer1.0 (1.16.3-0ubuntu1.1) focal-security; urgency=medium

  * Build no change

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 03 Aug 2022 08:59:55 -0300

gstreamer1.0 (1.16.3-0ubuntu1) focal; urgency=medium

  * New upstream stable release (LP: #1962135)
    - Drop patches 0001-Revert-device-Enforce-that-elements-created-by-gst_d
      and 0002-Revert-element-Enforce-that-elements-created-by-gst_
      (applied upstream).

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 01 Mar 2022 11:08:10 +0100
