=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 # gstreamer shlibs
 gst_shlibs_dep="$(gst_lib) (>= $(gst_version))"
 
+binaries := $(shell dh_listpackages)
+
 # debug package
 DEB_DH_STRIP_ARGS := --dbg-package=$(gst_lib)-dbg
 
@@ -211,9 +213,8 @@
 indep_conf_flags = \
 	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)-doc
 
-# only build the docs if gtk-doc-tools is installed, i.e. binary-indep is
-# called
-ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
+# Only build documentation if we are building the -doc package
+ifneq ($(filter $(gst_pkgname)-doc,$(binaries)),)
 indep_conf_flags += --enable-gtk-doc --enable-docbook
 endif
